NT 4.0 / Delphi 2.01 compatibility problems?

When I bought Delphi, the box said it worked with NT.  But when I installed
it the help file said it had only been tested with NT 3.51.  I have NT 4.0,
and have been experiencing some problems with the integrated de{*word*81}
which I have been assuming to be caused by a bug in Delphi (the de{*word*81}
gets confused about the locations of variables when using F7 to trace
into certain procedures).  But might it be some sort of compatibility
problem?  Dr. Watson and Delphi interfering with one another, perhaps?

In any case I'm curious if there are any known incompatibilities, whether
they relate to this particular problem or not.

David Hillman